Package org.gradle.api.publish.maven

# Interface MavenArtifact

All Superinterfaces:
  `Buildable`, `PublicationArtifact`

public interface MavenArtifact extends PublicationArtifact
An artifact published as part of a `MavenPublication`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@Nullable String`
  `getClassifier()`
  The classifier used to publish the artifact file.
  `String`
  `getExtension()`
  The extension used to publish the artifact file, never `null`.
  `void`
  `setClassifier(@Nullable String classifier)`
  Sets the classifier used to publish the artifact file.
  `void`
  `setExtension(String extension)`
  Sets the extension used to publish the artifact file.

  ### Methods inherited from interface org.gradle.api.Buildable

  `getBuildDependencies`

  ### Methods inherited from interface org.gradle.api.publish.PublicationArtifact

  `builtBy, getFile`

- ## Method Details

  - ### getExtension

    String getExtension()
    The extension used to publish the artifact file, never `null`. For an artifact without an extension, this value will be an empty String.

  - ### setExtension

    void setExtension(String extension)
    Sets the extension used to publish the artifact file.
    Parameters:
      `extension` - The extension.

  - ### getClassifier

    @Nullable String getClassifier()
    The classifier used to publish the artifact file. A `null` value (the default) indicates that this artifact will be published without a classifier.

  - ### setClassifier

    void setClassifier(@Nullable String classifier)
    Sets the classifier used to publish the artifact file.
    Parameters:
      `classifier` - The classifier.